{#
/**
 * @file
 * Theme override to present all user data.
 */
#}
{{ attach_library('diamondcbd/swiper-js') }}
{{ attach_library('commerce_swellrewards/commerce_swellrewards') }}
{{ attach_library('diamondcbd/custom-sliders') }}

<article{{ attributes }}>
  <div class="dashboard">

    {# wholesale_1 checker start #}
    {% if 'wholesale_1' in user.getroles(TRUE) %}
      <div class="wholesale-account">
        {# Sales Representative dashboard #}

        {% if user.field_sales_rep_agent.value %}
          <div class="sales-rep-agent">
            {#  get field image and alt #}
            <div class="sales-rep-agent__img">
              {{ drupal_view('sales_representative_dashboard', 'user_picture') }}
            </div>
            <div class="sales-rep-agent__content">
              <div class="sales-rep-agent__title">
                {{ 'My Sales Representative'|t }}
              </div>
              <div class="sales-rep-agent__name">
                {% set account_name = user.field_sales_rep_agent.entity.field_first_name.value %}
                {% if account_name %}
                  {{ user.field_sales_rep_agent.entity.field_first_name.value }}
                  {{ user.field_sales_rep_agent.entity.field_last_name.value }}
                {% else %}
                  {{ user.field_sales_rep_agent.entity.name.value }}
                {% endif %}
              </div>
              <div class="sales-rep-agent__tel">
                {% if user.field_sales_rep_agent.entity.field_phone.value %}
                  {{ user.field_sales_rep_agent.entity.field_phone.value }}
                {% else %}
                  <a href="tel:{{ '(305) 615-1194' }}">{{ '(305) 615-1194' }}</a>
                {% endif %}
              </div>
              <div class="sales-rep-agent__email">
                <a
                  href="mailto:{{ user.field_sales_rep_agent.entity.mail.value }}">{{ user.field_sales_rep_agent.entity.mail.value }}</a>
              </div>
            </div>
          </div>
        {% else %}

          <div class="sales-rep-agent">
            <div class="sales-rep-agent__img sales-rep-agent__no-img">
              <i class="icon icon--menu-user-2"></i>
            </div>
            <div class="sales-rep-agent__content">
              <div class="sales-rep-agent__title">{{ 'Contact Us'|t }}</div>
              <div class="sales-rep-agent__tel">
                <div>{{ 'M-F: 9am-6pm EST'|t }}</div>
                <a href="tel:{{ '(305) 615-1194' }}">{{ '(305) 615-1194' }}</a>
              </div>
              <div class="sales-rep-agent__email">
                <a
                  href="mailto:support@diamondcbd.com">{{ 'support@diamondcbd.com'|t }}</a>
              </div>
              <div class="sales-rep-agent__email">
                <a
                  href="mailto:wholesale@diamondcbd.com">{{ 'wholesale@diamondcbd.com'|t }}</a>
              </div>
            </div>
          </div>
        {% endif %}

      </div>
    {% else %}
      {# header #}
      <div style="display: none" id="refer-popup">
        <script
          src="https://cdn-widgetsrepository.yotpo.com/v1/loader/eo8xyEVchv9IzmQO-wVJBA"
          async></script>
        <div class="yotpo-widget-instance"
             data-yotpo-instance-id="5123"></div>
      </div>

      {# dashboard summary #}
      <div class="dashboard__section dashboard__section--summary">
        {% if swell_enabled %}
          <div class="dashboard__header">
            <button class="btn btn-outline-primary success refer-popup"
                    data-toggle="refer-popup">{{ 'Refer a Friend'|t }}</button>
            <a
              class="rewards-popup btn btn-outline-primary">{{ 'Open Rewards Program'|t }}</a>
          </div>
        {% endif %}
        <div class="dashboard__summary-items">
          <div class="dashboard__summary-item">
              <span class="dashboard__summary-icon">
                <img class="icon"
                     src="/themes/custom/diamondcbd/images/icon/cart-active.svg">
              </span>
            <div class="dashboard__summary-content">
              <h4
                class="dashboard__summary-title">{{ 'Your orders'|t }}</h4>
              <span class="dashboard__summary-value fw-medium">
                {{ recent_orders }}
              </span>
              <span
                class="dashboard__summary-text">{{ '(Customer since'|t }}</span>
              <span class="dashboard__summary-text"><span
                  class="fw-normal">{{ user.created.value|date('Y') }}</span>)</span>
            </div>
          </div>
          <div class="dashboard__summary-item">

              <span class="dashboard__summary-icon">
                <img class="icon"
                     src="/themes/custom/diamondcbd/images/icon/subscriptions-active.svg">
              </span>
            <div class="dashboard__summary-content">
              <h4
                class="dashboard__summary-title">{{ 'Active subscriptions'|t }}</h4>
              <div
                class="dashboard__summary-value fw-medium">{{ active_subscriptions }}</div>
            </div>
          </div>
          {% if swell_enabled %}
            <a class="dashboard__summary-item"
               href="{{ path('commerce_swellrewards.user', {'user': user_id}) }}">
                <span class="dashboard__summary-icon">
                  <img class="icon"
                       src="/themes/custom/diamondcbd/images/icon/reward-points.svg">
                </span>
              <div class="dashboard__summary-content">
                <h4
                  class="dashboard__summary-title">{{ 'Points Balance'|t }}</h4>
                <span
                  class="dashboard__summary-value fw-medium">{{ points_balance|number_format(0, '.') }}</span>
                <span
                  class="dashboard__summary-text">({{ 'Points Expire On '|t }}<span
                    class="fw-normal">{{ points_expire_at|date('M, Y') }}</span>)</span>
              </div>
            </a>

            <a class="dashboard__summary-item"
               href="{{ path('commerce_swellrewards.user', {'user': user_id}) }}">
                <span class="dashboard__summary-icon">
                  <img class="icon"
                       src="/themes/custom/diamondcbd/images/icon/reward-points.svg">
                </span>
              <div class="dashboard__summary-content">
                <h4
                  class="dashboard__summary-title">{{ 'Points Lifetime'|t }}</h4>
                <span
                  class="dashboard__summary-value fw-medium">{{ points_earned|number_format(0, '.') }}</span>
                <span
                  class="dashboard__summary-text">({{ 'Perks Redeemed '|t }}<span
                    class="fw-normal">{{ perks_redeemed }}</span>)</span>
              </div>
            </a>
          {% endif %}
        </div>
      </div>
    {% endif %}
    {# wholesale_1 checker ended #}

    <div class="dashboard__section dashboard__section--history">
      {% if drupal_view_result('commerce_user_orders', 'order_page', user_id) is empty %}
        <div class="orders-table-title empty-orders">
          <h4>{{ 'Recent orders'|t }}</h4>
        </div>
      {% else %}
        <div class="orders-table-title">
          <h4>{{ 'Recent orders'|t }}</h4>
          <a href="/user/{{ user_id }}/orders">{{ 'See All Orders' }}</a>
        </div>
      {% endif %}
      <div class="user-orders-dashboard">
        {{ drupal_view('commerce_user_orders', 'order_page', user_id) }}
      </div>

      {% if drupal_view_result('buy_again', 'block_1') is not empty %}
        <div class="user-orders-buy-again">
          <div class="orders-table-title">
            <h4>{{ 'Buy It Again'|t }}</h4>
            <a href="/collections/all">{{ 'Shop Now' }}</a>
          </div>
          {{ drupal_view('buy_again', 'block_1') }}
        </div>
      {% endif %}

      <div class="user-orders-recently-viewed">
        <div class="orders-table-title">
          <h4>{{ 'Recently viewed'|t }}</h4>
          <a href="/collections/all">{{ 'Shop Now' }}</a>
        </div>
        {{ drupal_view('recently_viewed_products', 'recently_viewed_products') }}
      </div>
    </div>
  </div>
</article>
